[RESOLVIDO] VLC snap plugins

Olá, pessoal.

Instalei o VLC 3.0.6 via snap, desinstalando antes a 3.0.4 que vem com o Mint.

Acontece que depois que desinstalei a 3.0.4 aparece a mensagem abaixo:

Lendo listas de pacotes... Pronto
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Calculando atualização... Pronto
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
  adobe-flashplugin chromium-codecs-ffmpeg-extra gstreamer1.0-vaapi
  libaribb24-0 libavcodec-extra libbasicusageenvironment1 libcddb2 libdvbpsi10
  libebml4v5 libgroupsock8 libhal1-flash liblivemedia62 liblua5.2-0 libmad0
  libmatroska6v5 libmicrodns0 libnfs11 libopenmpt-modplug1 libplacebo4
  libprotobuf-lite10 libqt5x11extras5 libresid-builder0c2a libsdl-image1.2
  libsidplay2 libssh2-1 libunshield0 libupnp6 libusageenvironment3
  libva-wayland2 libvlc-bin libvlc5 libvlccore9 unshield vlc-bin vlc-data
  vlc-l10n vlc-plugin-base vlc-plugin-notify vlc-plugin-qt
  vlc-plugin-video-output
Utilize 'sudo apt autoremove' para os remover.
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.

Não há a integração da versão do snap com esses plugins/codecs?

Oi @BrMBr

Apagar o VLC não significa remover todas as dependências jutnas. A mensagem quer dizer que se quisesses desinstalar o VLC, também poderias remover os pacotes desnecessários com esse comando. Mas como estás com VLC instalado via Snap, não os removas.

Sim, mas seguindo a lógica, se o VLC do snap estivesse integrado corretamente ao sistema essa mensagem não deveria aparecer.

Alguém mais?

Não, essa mensagem é para os aplicativos instalados nativamente que forem desinstalados e não para aplicativos instalados via snap, que forem desintalados.

em teoria, os snaps já vem com todas essas libs dentro dele, pode desinstalá-las normalmente com o

sudo apt autoremove

1 Like

Interessante, eu não sabia que Snap também prepara os plugins e as dependências, não só os aplicativos normais.

1 Like

Quando o VLC padrão é desinstalado, automaticamente é marcado para desinstalação o pacote mint-meta-codecs, que contém todos os arquivos listados no post original.

A solução para o problema, então, é dar o sudo apt autoremove e depois o sudo apt install mint-meta-codecs.

2 Likes